diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-terms-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-terms-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-terms-list-table.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-terms-list-table.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 11,53 ****
  
  	var $callback_args;
  
! 	function __construct() {
! 		global $post_type, $taxonomy, $tax;
  
! 		wp_reset_vars( array( 'action', 'taxonomy', 'post_type' ) );
  
  		if ( empty( $taxonomy ) )
  			$taxonomy = 'post_tag';
  
! 		if ( !taxonomy_exists( $taxonomy ) )
  			wp_die( __( 'Invalid taxonomy' ) );
  
  		$tax = get_taxonomy( $taxonomy );
  
  		if ( empty( $post_type ) || !in_array( $post_type, get_post_types( array( 'show_ui' => true ) ) ) )
  			$post_type = 'post';
  
- 		parent::__construct( array(
- 			'plural' => 'tags',
- 			'singular' => 'tag',
- 		) );
  	}
  
  	function ajax_user_can() {
! 		global $tax;
! 
! 		return current_user_can( $tax->cap->manage_terms );
  	}
  
  	function prepare_items() {
! 		global $taxonomy;
  
! 		$tags_per_page = $this->get_items_per_page( 'edit_' . $taxonomy . '_per_page' );
! 
! 		if ( 'post_tag' == $taxonomy ) {
  			$tags_per_page = apply_filters( 'edit_tags_per_page', $tags_per_page );
  			$tags_per_page = apply_filters( 'tagsperpage', $tags_per_page ); // Old filter
! 		} elseif ( 'category' == $taxonomy ) {
  			$tags_per_page = apply_filters( 'edit_categories_per_page', $tags_per_page ); // Old filter
  		}
  
--- 11,54 ----
  
  	var $callback_args;
  
! 	function __construct( $args = array() ) {
! 		global $post_type, $taxonomy, $action, $tax;
  
! 		parent::__construct( array(
! 			'plural' => 'tags',
! 			'singular' => 'tag',
! 			'screen' => isset( $args['screen'] ) ? $args['screen'] : null,
! 		) );
! 
! 		$action    = $this->screen->action;
! 		$post_type = $this->screen->post_type;
! 		$taxonomy  = $this->screen->taxonomy;
  
  		if ( empty( $taxonomy ) )
  			$taxonomy = 'post_tag';
  
! 		if ( ! taxonomy_exists( $taxonomy ) )
  			wp_die( __( 'Invalid taxonomy' ) );
  
  		$tax = get_taxonomy( $taxonomy );
  
+ 		// @todo Still needed? Maybe just the show_ui part.
  		if ( empty( $post_type ) || !in_array( $post_type, get_post_types( array( 'show_ui' => true ) ) ) )
  			$post_type = 'post';
  
  	}
  
  	function ajax_user_can() {
! 		return current_user_can( get_taxonomy( $this->screen->taxonomy )->cap->manage_terms );
  	}
  
  	function prepare_items() {
! 		$tags_per_page = $this->get_items_per_page( 'edit_' . $this->screen->taxonomy . '_per_page' );
  
! 		if ( 'post_tag' == $this->screen->taxonomy ) {
  			$tags_per_page = apply_filters( 'edit_tags_per_page', $tags_per_page );
  			$tags_per_page = apply_filters( 'tagsperpage', $tags_per_page ); // Old filter
! 		} elseif ( 'category' == $this->screen->taxonomy ) {
  			$tags_per_page = apply_filters( 'edit_categories_per_page', $tags_per_page ); // Old filter
  		}
  
***************
*** 68,74 ****
  		$this->callback_args = $args;
  
  		$this->set_pagination_args( array(
! 			'total_items' => wp_count_terms( $taxonomy, compact( 'search' ) ),
  			'per_page' => $tags_per_page,
  		) );
  	}
--- 69,75 ----
  		$this->callback_args = $args;
  
  		$this->set_pagination_args( array(
! 			'total_items' => wp_count_terms( $this->screen->taxonomy, compact( 'search' ) ),
  			'per_page' => $tags_per_page,
  		) );
  	}
***************
*** 93,100 ****
  	}
  
  	function get_columns() {
- 		global $taxonomy, $post_type;
- 
  		$columns = array(
  			'cb'          => '<input type="checkbox" />',
  			'name'        => _x( 'Name', 'term name' ),
--- 94,99 ----
***************
*** 102,111 ****
  			'slug'        => __( 'Slug' ),
  		);
  
! 		if ( 'link_category' == $taxonomy ) {
  			$columns['links'] = __( 'Links' );
  		} else {
! 			$post_type_object = get_post_type_object( $post_type );
  			$columns['posts'] = $post_type_object ? $post_type_object->labels->name : __( 'Posts' );
  		}
  
--- 101,110 ----
  			'slug'        => __( 'Slug' ),
  		);
  
! 		if ( 'link_category' == $this->screen->taxonomy ) {
  			$columns['links'] = __( 'Links' );
  		} else {
! 			$post_type_object = get_post_type_object( $this->screen->post_type );
  			$columns['posts'] = $post_type_object ? $post_type_object->labels->name : __( 'Posts' );
  		}
  
***************
*** 123,129 ****
  	}
  
  	function display_rows_or_placeholder() {
! 		global $taxonomy;
  
  		$args = wp_parse_args( $this->callback_args, array(
  			'page' => 1,
--- 122,128 ----
  	}
  
  	function display_rows_or_placeholder() {
! 		$taxonomy = $this->screen->taxonomy;
  
  		$args = wp_parse_args( $this->callback_args, array(
  			'page' => 1,
***************
*** 231,255 ****
  	}
  
  	function column_cb( $tag ) {
! 		global $taxonomy, $tax;
  
! 		$default_term = get_option( 'default_' . $taxonomy );
  
! 		if ( current_user_can( $tax->cap->delete_terms ) && $tag->term_id != $default_term )
! 			return '<input type="checkbox" name="delete_tags[]" value="' . $tag->term_id . '" />';
! 		else
! 			return '&nbsp;';
  	}
  
  	function column_name( $tag ) {
! 		global $taxonomy, $tax, $post_type;
  
  		$default_term = get_option( 'default_' . $taxonomy );
  
  		$pad = str_repeat( '&#8212; ', max( 0, $this->level ) );
  		$name = apply_filters( 'term_name', $pad . ' ' . $tag->name, $tag );
  		$qe_data = get_term( $tag->term_id, $taxonomy, OBJECT, 'edit' );
! 		$edit_link = esc_url( get_edit_term_link( $tag->term_id, $taxonomy, $post_type ) );
  
  		$out = '<strong><a class="row-title" href="' . $edit_link . '" title="' . esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $name ) ) . '">' . $name . '</a></strong><br />';
  
--- 230,254 ----
  	}
  
  	function column_cb( $tag ) {
! 		$default_term = get_option( 'default_' . $this->screen->taxonomy );
  
! 		if ( current_user_can( get_taxonomy( $this->screen->taxonomy )->cap->delete_terms ) && $tag->term_id != $default_term )
! 			return '<label class="screen-reader-text" for="cb-select-' . $tag->term_id . '">' . sprintf( __( 'Select %s' ), $tag->name ) . '</label>'
! 				. '<input type="checkbox" name="delete_tags[]" value="' . $tag->term_id . '" id="cb-select-' . $tag->term_id . '" />';
  
! 		return '&nbsp;';
  	}
  
  	function column_name( $tag ) {
! 		$taxonomy = $this->screen->taxonomy;
! 		$tax = get_taxonomy( $taxonomy );
  
  		$default_term = get_option( 'default_' . $taxonomy );
  
  		$pad = str_repeat( '&#8212; ', max( 0, $this->level ) );
  		$name = apply_filters( 'term_name', $pad . ' ' . $tag->name, $tag );
  		$qe_data = get_term( $tag->term_id, $taxonomy, OBJECT, 'edit' );
! 		$edit_link = esc_url( get_edit_term_link( $tag->term_id, $taxonomy, $this->screen->post_type ) );
  
  		$out = '<strong><a class="row-title" href="' . $edit_link . '" title="' . esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $name ) ) . '">' . $name . '</a></strong><br />';
  
***************
*** 283,295 ****
  	}
  
  	function column_posts( $tag ) {
- 		global $taxonomy, $post_type;
- 
  		$count = number_format_i18n( $tag->count );
  
! 		$tax = get_taxonomy( $taxonomy );
  
! 		$ptype_object = get_post_type_object( $post_type );
  		if ( ! $ptype_object->show_ui )
  			return $count;
  
--- 282,292 ----
  	}
  
  	function column_posts( $tag ) {
  		$count = number_format_i18n( $tag->count );
  
! 		$tax = get_taxonomy( $this->screen->taxonomy );
  
! 		$ptype_object = get_post_type_object( $this->screen->post_type );
  		if ( ! $ptype_object->show_ui )
  			return $count;
  
***************
*** 299,306 ****
  			$args = array( 'taxonomy' => $tax->name, 'term' => $tag->slug );
  		}
  
! 		if ( 'post' != $post_type )
! 			$args['post_type'] = $post_type;
  
  		return "<a href='" . esc_url ( add_query_arg( $args, 'edit.php' ) ) . "'>$count</a>";
  	}
--- 296,306 ----
  			$args = array( 'taxonomy' => $tax->name, 'term' => $tag->slug );
  		}
  
! 		if ( 'post' != $this->screen->post_type )
! 			$args['post_type'] = $this->screen->post_type;
! 
! 		if ( 'attachment' == $this->screen->post_type )
! 			return "<a href='" . esc_url ( add_query_arg( $args, 'upload.php' ) ) . "'>$count</a>";
  
  		return "<a href='" . esc_url ( add_query_arg( $args, 'edit.php' ) ) . "'>$count</a>";
  	}
***************
*** 313,321 ****
  	}
  
  	function column_default( $tag, $column_name ) {
! 		$screen = get_current_screen();
! 
! 		return apply_filters( "manage_{$screen->taxonomy}_custom_column", '', $column_name, $tag->term_id );
  	}
  
  	/**
--- 313,319 ----
  	}
  
  	function column_default( $tag, $column_name ) {
! 		return apply_filters( "manage_{$this->screen->taxonomy}_custom_column", '', $column_name, $tag->term_id );
  	}
  
  	/**
***************
*** 324,330 ****
  	 * @since 3.1.0
  	 */
  	function inline_edit() {
! 		global $post_type, $tax;
  
  		if ( ! current_user_can( $tax->cap->edit_terms ) )
  			return;
--- 322,328 ----
  	 * @since 3.1.0
  	 */
  	function inline_edit() {
! 		$tax = get_taxonomy( $this->screen->taxonomy );
  
  		if ( ! current_user_can( $tax->cap->edit_terms ) )
  			return;
***************
*** 357,363 ****
  			if ( isset( $core_columns[$column_name] ) )
  				continue;
  
! 			do_action( 'quick_edit_custom_box', $column_name, 'edit-tags', $tax->name );
  		}
  
  	?>
--- 355,361 ----
  			if ( isset( $core_columns[$column_name] ) )
  				continue;
  
! 			do_action( 'quick_edit_custom_box', $column_name, 'edit-tags', $this->screen->taxonomy );
  		}
  
  	?>
***************
*** 366,376 ****
  			<a accesskey="c" href="#inline-edit" title="<?php esc_attr_e( 'Cancel' ); ?>" class="cancel button-secondary alignleft"><?php _e( 'Cancel' ); ?></a>
  			<?php $update_text = $tax->labels->update_item; ?>
  			<a accesskey="s" href="#inline-edit" title="<?php echo esc_attr( $update_text ); ?>" class="save button-primary alignright"><?php echo $update_text; ?></a>
! 			<img class="waiting" style="display:none;" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  			<span class="error" style="display:none;"></span>
  			<?php wp_nonce_field( 'taxinlineeditnonce', '_inline_edit', false ); ?>
! 			<input type="hidden" name="taxonomy" value="<?php echo esc_attr( $tax->name ); ?>" />
! 			<input type="hidden" name="post_type" value="<?php echo esc_attr( $post_type ); ?>" />
  			<br class="clear" />
  		</p>
  		</td></tr>
--- 364,374 ----
  			<a accesskey="c" href="#inline-edit" title="<?php esc_attr_e( 'Cancel' ); ?>" class="cancel button-secondary alignleft"><?php _e( 'Cancel' ); ?></a>
  			<?php $update_text = $tax->labels->update_item; ?>
  			<a accesskey="s" href="#inline-edit" title="<?php echo esc_attr( $update_text ); ?>" class="save button-primary alignright"><?php echo $update_text; ?></a>
! 			<span class="spinner"></span>
  			<span class="error" style="display:none;"></span>
  			<?php wp_nonce_field( 'taxinlineeditnonce', '_inline_edit', false ); ?>
! 			<input type="hidden" name="taxonomy" value="<?php echo esc_attr( $this->screen->taxonomy ); ?>" />
! 			<input type="hidden" name="post_type" value="<?php echo esc_attr( $this->screen->post_type ); ?>" />
  			<br class="clear" />
  		</p>
  		</td></tr>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-theme-install-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-theme-install-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-theme-install-list-table.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-theme-install-list-table.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 134,140 ****
  				<?php do_action( 'install_themes_table_header' ); ?>
  			</div>
  			<?php $this->pagination( 'top' ); ?>
- 			<img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" class="ajax-loading list-ajax-loading" alt="" />
  			<br class="clear" />
  		</div>
  
--- 134,139 ----
***************
*** 237,243 ****
  				<?php foreach ( $actions as $action ): ?>
  					<li><?php echo $action; ?></li>
  				<?php endforeach; ?>
! 				<li class="hide-if-no-js"><a href="#" class="theme-detail" tabindex='4'><?php _e('Details') ?></a></li>
  			</ul>
  		</div>
  
--- 236,242 ----
  				<?php foreach ( $actions as $action ): ?>
  					<li><?php echo $action; ?></li>
  				<?php endforeach; ?>
! 				<li class="hide-if-no-js"><a href="#" class="theme-detail"><?php _e('Details') ?></a></li>
  			</ul>
  		</div>
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-themes-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-themes-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-themes-list-table.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-themes-list-table.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 12,20 ****
  	protected $search_terms = array();
  	var $features = array();
  
! 	function __construct() {
  		parent::__construct( array(
  			'ajax' => true,
  		) );
  	}
  
--- 12,21 ----
  	protected $search_terms = array();
  	var $features = array();
  
! 	function __construct( $args = array() ) {
  		parent::__construct( array(
  			'ajax' => true,
+ 			'screen' => isset( $args['screen'] ) ? $args['screen'] : null,
  		) );
  	}
  
***************
*** 42,48 ****
  		unset( $themes[ get_option( 'stylesheet' ) ] );
  		WP_Theme::sort_by_name( $themes );
  
! 		$per_page = 999;
  		$page = $this->get_pagenum();
  
  		$start = ( $page - 1 ) * $per_page;
--- 43,49 ----
  		unset( $themes[ get_option( 'stylesheet' ) ] );
  		WP_Theme::sort_by_name( $themes );
  
! 		$per_page = 36;
  		$page = $this->get_pagenum();
  
  		$start = ( $page - 1 ) * $per_page;
***************
*** 90,97 ****
  		?>
  		<div class="tablenav themes <?php echo $which; ?>">
  			<?php $this->pagination( $which ); ?>
! 		   <img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" class="ajax-loading list-ajax-loading" alt="" />
! 		  <br class="clear" />
  		</div>
  		<?php
  	}
--- 91,98 ----
  		?>
  		<div class="tablenav themes <?php echo $which; ?>">
  			<?php $this->pagination( $which ); ?>
! 			<span class="spinner"></span>
! 			<br class="clear" />
  		</div>
  		<?php
  	}
***************
*** 143,149 ****
  					. __( 'Live Preview' ) . '</a>';
  
  			if ( ! is_multisite() && current_user_can( 'delete_themes' ) )
! 				$actions['delete'] = '<a class="submitdelete deletion" href="' . wp_nonce_url( "themes.php?action=delete&amp;stylesheet=$stylesheet", 'delete-theme_' . $stylesheet )
  					. '" onclick="' . "return confirm( '" . esc_js( sprintf( __( "You are about to delete this theme '%s'\n  'Cancel' to stop, 'OK' to delete." ), $title ) )
  					. "' );" . '">' . __( 'Delete' ) . '</a>';
  
--- 144,150 ----
  					. __( 'Live Preview' ) . '</a>';
  
  			if ( ! is_multisite() && current_user_can( 'delete_themes' ) )
! 				$actions['delete'] = '<a class="submitdelete deletion" href="' . wp_nonce_url( 'themes.php?action=delete&amp;stylesheet=' . urlencode( $stylesheet ), 'delete-theme_' . $stylesheet )
  					. '" onclick="' . "return confirm( '" . esc_js( sprintf( __( "You are about to delete this theme '%s'\n  'Cancel' to stop, 'OK' to delete." ), $title ) )
  					. "' );" . '">' . __( 'Delete' ) . '</a>';
  
***************
*** 171,177 ****
  					<?php foreach ( $actions as $action ): ?>
  						<li><?php echo $action; ?></li>
  					<?php endforeach; ?>
! 					<li class="hide-if-no-js"><a href="#" class="theme-detail" tabindex='4'><?php _e('Details') ?></a></li>
  				</ul>
  				<?php echo $delete_action; ?>
  
--- 172,178 ----
  					<?php foreach ( $actions as $action ): ?>
  						<li><?php echo $action; ?></li>
  					<?php endforeach; ?>
! 					<li class="hide-if-no-js"><a href="#" class="theme-detail"><?php _e('Details') ?></a></li>
  				</ul>
  				<?php echo $delete_action; ?>
  
***************
*** 181,195 ****
  			<div class="themedetaildiv hide-if-js">
  				<p><strong><?php _e('Version: '); ?></strong><?php echo $version; ?></p>
  				<p><?php echo $theme->display('Description'); ?></p>
! 				<?php if ( current_user_can( 'edit_themes' ) && $theme->parent() ) :
! 					/* translators: 1: theme title, 2:  template dir, 3: stylesheet_dir, 4: theme title, 5: parent_theme */ ?>
! 					<p><?php printf( __( 'The template files are located in <code>%2$s</code>. The stylesheet files are located in <code>%3$s</code>. <strong>%4$s</strong> uses templates from <strong>%5$s</strong>. Changes made to the templates will affect both themes.' ),
! 						$title, str_replace( WP_CONTENT_DIR, '', $theme->get_template_directory() ), str_replace( WP_CONTENT_DIR, '', $theme->get_stylesheet_directory() ), $title, $theme->parent()->display('Name') ); ?></p>
! 				<?php else :
! 						/* translators: 1: theme title, 2:  template dir, 3: stylesheet_dir */ ?>
! 					<p><?php printf( __( 'All of this theme&#8217;s files are located in <code>%2$s</code>.' ),
! 						$title, str_replace( WP_CONTENT_DIR, '', $theme->get_template_directory() ), str_replace( WP_CONTENT_DIR, '', $theme->get_stylesheet_directory() ) ); ?></p>
! 				<?php endif; ?>
  			</div>
  
  			</div>
--- 182,192 ----
  			<div class="themedetaildiv hide-if-js">
  				<p><strong><?php _e('Version: '); ?></strong><?php echo $version; ?></p>
  				<p><?php echo $theme->display('Description'); ?></p>
! 				<?php if ( $theme->parent() ) {
! 					printf( ' <p class="howto">' . __( 'This <a href="%1$s">child theme</a> requires its parent theme, %2$s.' ) . '</p>',
! 						__( 'http://codex.wordpress.org/Child_Themes' ),
! 						$theme->parent()->display( 'Name' ) );
! 				} ?>
  			</div>
  
  			</div>
